--- old/./mr_sas_tbolt.c	Tue Nov  6 14:29:40 2012
+++ new/./mr_sas_tbolt.c	Tue Nov  6 14:29:40 2012
@@ -2953,94 +2959,93 @@
  * Create the command for fast path.
  */
 void
-mrsas_tbolt_prepare_cdb(struct mrsas_instance *instance, U8 cdb[],struct IO_REQUEST_INFO *io_info,Mpi2RaidSCSIIORequest_t *scsi_io_request, U32 ref_tag)
+mrsas_tbolt_prepare_cdb(struct mrsas_instance *instance, U8 cdb[],
+    struct IO_REQUEST_INFO *io_info, Mpi2RaidSCSIIORequest_t *scsi_io_request,
+    U32 ref_tag)
 {
 	uint16_t		EEDPFlags;
 	uint32_t		Control;
-	// Prepare 32-byte CDB if DIF is supported on this device
-	con_log(CL_ANN, (CE_NOTE, "Prepare DIF CDB\n"));
+	ddi_acc_handle_t acc_handle =
+	    instance->mpi2_frame_pool_dma_obj.acc_handle;
 
-	memset(cdb, 0, 32);	
-	
+	/* Prepare 32-byte CDB if DIF is supported on this device */
+	con_log(CL_ANN, (CE_NOTE, "Prepare DIF CDB"));
+
+	bzero(cdb, 32);
+
 	cdb[0] =  MRSAS_SCSI_VARIABLE_LENGTH_CMD;
 
-		
+
 	cdb[7] =  MRSAS_SCSI_ADDL_CDB_LEN;
 
-	if (io_info->isRead) {
+	if (io_info->isRead)
 		cdb[9] = MRSAS_SCSI_SERVICE_ACTION_READ32;
-	}
-	else {
+	else
 		cdb[9] = MRSAS_SCSI_SERVICE_ACTION_WRITE32;
-	}
 
-	cdb[10] = MRSAS_RD_WR_PROTECT;	// Verify with in linux driver, set to MEGASAS_RD_WR_PROTECT_CHECK_ALL
+	/* Verify within linux driver, set to MEGASAS_RD_WR_PROTECT_CHECK_ALL */
+	cdb[10] = MRSAS_RD_WR_PROTECT;
 
 	/* LOGICAL BLOCK ADDRESS */
-	cdb[12] = (U8)(((io_info->pdBlock) >> 56) & 0xff);	
+	cdb[12] = (U8)(((io_info->pdBlock) >> 56) & 0xff);
 	cdb[13] = (U8)(((io_info->pdBlock) >> 48) & 0xff);
-	cdb[14] = (U8)(((io_info->pdBlock) >> 40) & 0xff); 
-	cdb[15] = (U8)(((io_info->pdBlock) >> 32) & 0xff); 
-	cdb[16] = (U8)(((io_info->pdBlock) >> 24) & 0xff); 
-	cdb[17] = (U8)(((io_info->pdBlock) >> 16) & 0xff); 
-	cdb[18] = (U8)(((io_info->pdBlock) >> 8) & 0xff);  
-	cdb[19] = (U8)((io_info->pdBlock) & 0xff);         
+	cdb[14] = (U8)(((io_info->pdBlock) >> 40) & 0xff);
+	cdb[15] = (U8)(((io_info->pdBlock) >> 32) & 0xff);
+	cdb[16] = (U8)(((io_info->pdBlock) >> 24) & 0xff);
+	cdb[17] = (U8)(((io_info->pdBlock) >> 16) & 0xff);
+	cdb[18] = (U8)(((io_info->pdBlock) >> 8) & 0xff);
+	cdb[19] = (U8)((io_info->pdBlock) & 0xff);
 
 	/* Logical block reference tag */
-	ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-                            &scsi_io_request->CDB.EEDP32.PrimaryReferenceTag,
-							BIG_ENDIAN(ref_tag));	
-	
-	ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-	    &scsi_io_request->CDB.EEDP32.PrimaryApplicationTagMask,
-	    0xffff);
+	ddi_put32(acc_handle, &scsi_io_request->CDB.EEDP32.PrimaryReferenceTag,
+	    BE_32(ref_tag));
 
-	ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-	    &scsi_io_request->DataLength,
+	ddi_put16(acc_handle,
+	    &scsi_io_request->CDB.EEDP32.PrimaryApplicationTagMask, 0xffff);
+
+	ddi_put32(acc_handle, &scsi_io_request->DataLength,
 	    ((io_info->numBlocks)*512));
-	ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		&scsi_io_request->IoFlags,32);  /* Specify 32-byte cdb */
+	/* Specify 32-byte cdb */
+	ddi_put16(acc_handle, &scsi_io_request->IoFlags, 32);
 
 	/* Transfer length */
-	cdb[28] = (U8)(((io_info->numBlocks) >> 24) & 0xff);	
+	cdb[28] = (U8)(((io_info->numBlocks) >> 24) & 0xff);
 	cdb[29] = (U8)(((io_info->numBlocks) >> 16) & 0xff);
 	cdb[30] = (U8)(((io_info->numBlocks) >> 8) & 0xff);
 	cdb[31] = (U8)((io_info->numBlocks) & 0xff);
 
 	/* set SCSI IO EEDPFlags */
-	EEDPFlags = ddi_get16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-							&scsi_io_request->EEDPFlags);
-	Control = ddi_get32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-							&scsi_io_request->Control);
+	EEDPFlags = ddi_get16(acc_handle, &scsi_io_request->EEDPFlags);
+	Control = ddi_get32(acc_handle, &scsi_io_request->Control);
 
-	// set SCSI IO EEDPFlags bits
+	/* set SCSI IO EEDPFlags bits */
 	if (io_info->isRead) {
-		// For READ commands, the EEDPFlags shall be set to specify to
-		// Increment the Primary Reference Tag, to Check the Reference
-		// Tag, and to Check and Remove the Protection Information
-		// fields.
-		EEDPFlags	= MPI2_SCSIIO_EEDPFLAGS_INC_PRI_REFTAG	|
-			MPI2_SCSIIO_EEDPFLAGS_CHECK_REFTAG	|
-			MPI2_SCSIIO_EEDPFLAGS_CHECK_REMOVE_OP	|
-			MPI2_SCSIIO_EEDPFLAGS_CHECK_APPTAG	|
-			MPI2_SCSIIO_EEDPFLAGS_CHECK_GUARD;
+		/*
+		 * For READ commands, the EEDPFlags shall be set to specify to
+		 * Increment the Primary Reference Tag, to Check the Reference
+		 * Tag, and to Check and Remove the Protection Information
+		 * fields.
+		 */
+		EEDPFlags = MPI2_SCSIIO_EEDPFLAGS_INC_PRI_REFTAG	|
+		    MPI2_SCSIIO_EEDPFLAGS_CHECK_REFTAG	|
+		    MPI2_SCSIIO_EEDPFLAGS_CHECK_REMOVE_OP	|
+		    MPI2_SCSIIO_EEDPFLAGS_CHECK_APPTAG	|
+		    MPI2_SCSIIO_EEDPFLAGS_CHECK_GUARD;
+	} else {
+		/*
+		 * For WRITE commands, the EEDPFlags shall be set to specify to
+		 * Increment the Primary Reference Tag, and to Insert
+		 * Protection Information fields.
+		 */
+		EEDPFlags = MPI2_SCSIIO_EEDPFLAGS_INC_PRI_REFTAG	|
+		    MPI2_SCSIIO_EEDPFLAGS_INSERT_OP;
 	}
-	else {
-		// For WRITE commands, the EEDPFlags shall be set to specify to
-		// Increment the Primary Reference Tag, and to Insert
-		// Protection Information fields.
-		EEDPFlags	= MPI2_SCSIIO_EEDPFLAGS_INC_PRI_REFTAG	|
-			MPI2_SCSIIO_EEDPFLAGS_INSERT_OP;
-	}
 	Control |= (0x4 << 26);
 
-	ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			&scsi_io_request->EEDPFlags, EEDPFlags);
-	ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			&scsi_io_request->Control, Control);
-	ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,	
-	    &scsi_io_request->EEDPBlockSize,
-	    MRSAS_EEDPBLOCKSIZE);
+	ddi_put16(acc_handle, &scsi_io_request->EEDPFlags, EEDPFlags);
+	ddi_put32(acc_handle, &scsi_io_request->Control, Control);
+	ddi_put32(acc_handle,
+	    &scsi_io_request->EEDPBlockSize, MRSAS_EEDPBLOCKSIZE);
 }
 
 
@@ -3052,23 +3057,26 @@
  *
  * Used to set the PD LBA in CDB for FP IOs
  */
-void
-mrsas_tbolt_set_pd_lba(U8 cdb[], uint8_t *cdb_len_ptr, U64 start_blk, U32 num_blocks, U8 DifCapable)
+static void
+mrsas_tbolt_set_pd_lba(U8 cdb[], uint8_t *cdb_len_ptr, U64 start_blk,
+    U32 num_blocks)
 {
 	U8 cdb_len = *cdb_len_ptr;
 	U8 flagvals = 0, opcode = 0, groupnum = 0, control = 0;
 
 	/* Some drives don't support 16/12 byte CDB's, convert to 10 */
-	if (((cdb_len == 12) || (cdb_len == 16)) && 
-		 (start_blk <= 0xffffffff)) {
+	if (((cdb_len == 12) || (cdb_len == 16)) &&
+	    (start_blk <= 0xffffffff)) {
 		if (cdb_len == 16) {
-			con_log(CL_ANN, (CE_NOTE, "Converting READ/WRITE(16) to READ10\n"));
+			con_log(CL_ANN,
+			    (CE_NOTE, "Converting READ/WRITE(16) to READ10"));
 			opcode = cdb[0] == READ_16 ? READ_10 : WRITE_10;
 			flagvals = cdb[1];
 			groupnum = cdb[14];
 			control = cdb[15];
 		} else {
-			con_log(CL_ANN, (CE_NOTE, "Converting READ/WRITE(12) to READ10\n"));
+			con_log(CL_ANN,
+			    (CE_NOTE, "Converting READ/WRITE(12) to READ10"));
 			opcode = cdb[0] == READ_12 ? READ_10 : WRITE_10;
 			flagvals = cdb[1];
 			groupnum = cdb[10];
@@ -3075,7 +3083,7 @@
 			control = cdb[11];
 		}
 
-		memset(cdb, 0, sizeof(cdb));
+		bzero(cdb, sizeof (cdb));
 
 		cdb[0] = opcode;
 		cdb[1] = flagvals;
@@ -3086,93 +3094,94 @@
 		cdb[7] = (U8)((num_blocks >> 8) & 0xff);
 		cdb_len = 10;
 	} else if ((cdb_len < 16) && (start_blk > 0xffffffff)) {
-			/* Convert to 16 byte CDB for large LBA's */
-			con_log(CL_ANN, (CE_NOTE, "Converting 6/10/12 CDB to 16 byte CDB\n"));
-			switch (cdb_len) {
-			case 6:
-				opcode = cdb[0] == READ_6 ? READ_16 : WRITE_16;
-				control = cdb[5];
-				break;
-			case 10:
-				opcode = cdb[0] == READ_10 ? READ_16 : WRITE_16;
-				flagvals = cdb[1];
-				groupnum = cdb[6];
-				control = cdb[9];
-				break;
-			case 12:
-				opcode = cdb[0] == READ_12 ? READ_16 : WRITE_16;
-				flagvals = cdb[1];
-				groupnum = cdb[10];
-				control = cdb[11];
-				break;
-			}
+		/* Convert to 16 byte CDB for large LBA's */
+		con_log(CL_ANN,
+		    (CE_NOTE, "Converting 6/10/12 CDB to 16 byte CDB"));
+		switch (cdb_len) {
+		case 6:
+			opcode = cdb[0] == READ_6 ? READ_16 : WRITE_16;
+			control = cdb[5];
+			break;
+		case 10:
+			opcode = cdb[0] == READ_10 ? READ_16 : WRITE_16;
+			flagvals = cdb[1];
+			groupnum = cdb[6];
+			control = cdb[9];
+			break;
+		case 12:
+			opcode = cdb[0] == READ_12 ? READ_16 : WRITE_16;
+			flagvals = cdb[1];
+			groupnum = cdb[10];
+			control = cdb[11];
+			break;
+		}
 
-			memset(cdb, 0, sizeof(cdb));
+		bzero(cdb, sizeof (cdb));
 
-			cdb[0] = opcode;
-			cdb[1] = flagvals;
-			cdb[14] = groupnum;
-			cdb[15] = control;
+		cdb[0] = opcode;
+		cdb[1] = flagvals;
+		cdb[14] = groupnum;
+		cdb[15] = control;
 
-			/* Transfer length */
-			cdb[13] = (U8)(num_blocks & 0xff);
-			cdb[12] = (U8)((num_blocks >> 8) & 0xff);
-			cdb[11] = (U8)((num_blocks >> 16) & 0xff);
-			cdb[10] = (U8)((num_blocks >> 24) & 0xff);
+		/* Transfer length */
+		cdb[13] = (U8)(num_blocks & 0xff);
+		cdb[12] = (U8)((num_blocks >> 8) & 0xff);
+		cdb[11] = (U8)((num_blocks >> 16) & 0xff);
+		cdb[10] = (U8)((num_blocks >> 24) & 0xff);
 
-			/* Specify 16-byte cdb */
-			cdb_len = 16;
-	} else 	if ((cdb_len == 6) && (start_blk > 0x1fffff)) {
-				/* convert to 10 byte CDB */
-				opcode = cdb[0] == READ_6 ? READ_10 : WRITE_10;
-				control = cdb[5];
-		
-				memset(cdb, 0, sizeof(cdb));
-				cdb[0] = opcode;
-				cdb[9] = control;
+		/* Specify 16-byte cdb */
+		cdb_len = 16;
+	} else if ((cdb_len == 6) && (start_blk > 0x1fffff)) {
+		/* convert to 10 byte CDB */
+		opcode = cdb[0] == READ_6 ? READ_10 : WRITE_10;
+		control = cdb[5];
 
-				/* Set transfer length */
-				cdb[8] = (U8)(num_blocks & 0xff);
-				cdb[7] = (U8)((num_blocks >> 8) & 0xff);
+		bzero(cdb, sizeof (cdb));
+		cdb[0] = opcode;
+		cdb[9] = control;
 
-				/* Specify 10-byte cdb */
-				cdb_len = 10;
+		/* Set transfer length */
+		cdb[8] = (U8)(num_blocks & 0xff);
+		cdb[7] = (U8)((num_blocks >> 8) & 0xff);
+
+		/* Specify 10-byte cdb */
+		cdb_len = 10;
 	}
 
 
 	/* Fall through Normal case, just load LBA here */
 	switch (cdb_len) {
-		case 6:
-		{
-			U8 val = cdb[1] & 0xE0;
-			cdb[3] = (U8)(start_blk & 0xff);
-			cdb[2] = (U8)((start_blk >> 8) & 0xff);
-			cdb[1] = val | ((U8)(start_blk >> 16) & 0x1f);
-			break;
-		}
-		case 10:
-			cdb[5] = (U8)(start_blk & 0xff);
-			cdb[4] = (U8)((start_blk >> 8) & 0xff);
-			cdb[3] = (U8)((start_blk >> 16) & 0xff);
-			cdb[2] = (U8)((start_blk >> 24) & 0xff);
-			break;
-		case 12:
-			cdb[5]    = (U8)(start_blk & 0xff);
-			cdb[4]    = (U8)((start_blk >> 8) & 0xff);
-			cdb[3]    = (U8)((start_blk >> 16) & 0xff);
-			cdb[2]    = (U8)((start_blk >> 24) & 0xff);
-			break;
+	case 6:
+	{
+		U8 val = cdb[1] & 0xE0;
+		cdb[3] = (U8)(start_blk & 0xff);
+		cdb[2] = (U8)((start_blk >> 8) & 0xff);
+		cdb[1] = val | ((U8)(start_blk >> 16) & 0x1f);
+		break;
+	}
+	case 10:
+		cdb[5] = (U8)(start_blk & 0xff);
+		cdb[4] = (U8)((start_blk >> 8) & 0xff);
+		cdb[3] = (U8)((start_blk >> 16) & 0xff);
+		cdb[2] = (U8)((start_blk >> 24) & 0xff);
+		break;
+	case 12:
+		cdb[5]	  = (U8)(start_blk & 0xff);
+		cdb[4]	  = (U8)((start_blk >> 8) & 0xff);
+		cdb[3]	  = (U8)((start_blk >> 16) & 0xff);
+		cdb[2]	  = (U8)((start_blk >> 24) & 0xff);
+		break;
 
-		case 16:
-			cdb[9]	= (U8)(start_blk & 0xff);
-			cdb[8]	= (U8)((start_blk >> 8) & 0xff);
-			cdb[7]	= (U8)((start_blk >> 16) & 0xff);
-			cdb[6]	= (U8)((start_blk >> 24) & 0xff);
-			cdb[5]	= (U8)((start_blk >> 32) & 0xff);
-			cdb[4]	= (U8)((start_blk >> 40) & 0xff);
-			cdb[3]	= (U8)((start_blk >> 48) & 0xff);
-			cdb[2]	= (U8)((start_blk >> 56) & 0xff);
-			break;
+	case 16:
+		cdb[9]	= (U8)(start_blk & 0xff);
+		cdb[8]	= (U8)((start_blk >> 8) & 0xff);
+		cdb[7]	= (U8)((start_blk >> 16) & 0xff);
+		cdb[6]	= (U8)((start_blk >> 24) & 0xff);
+		cdb[5]	= (U8)((start_blk >> 32) & 0xff);
+		cdb[4]	= (U8)((start_blk >> 40) & 0xff);
+		cdb[3]	= (U8)((start_blk >> 48) & 0xff);
+		cdb[2]	= (U8)((start_blk >> 56) & 0xff);
+		break;
 	}
 
 	*cdb_len_ptr = cdb_len;
@@ -3179,7 +3188,7 @@
 }
 
 
-U8
+static int
 mrsas_tbolt_check_map_info(struct mrsas_instance *instance)
 {
 	MR_FW_RAID_MAP_ALL *ld_map;
@@ -3188,16 +3197,18 @@
 
 		ld_map = instance->ld_map[(instance->map_id & 1)];
 
-		con_log(CL_ANN1, (CE_NOTE, "ldCount=%d, map size=%d\n",
+		con_log(CL_ANN1, (CE_NOTE, "ldCount=%d, map size=%d",
 		    ld_map->raidMap.ldCount, ld_map->raidMap.totalSize));
 
-		if (MR_ValidateMapInfo(instance->ld_map[(instance->map_id & 1)], instance->load_balance_info)) {
-			con_log(CL_ANN, (CE_CONT,
-				"MR_ValidateMapInfo success"));
+		if (MR_ValidateMapInfo(instance->ld_map[
+		    (instance->map_id & 1)], instance->load_balance_info)) {
+			con_log(CL_ANN,
+			    (CE_CONT, "MR_ValidateMapInfo success"));
 
-			instance->fast_path_io = 1;  
-			con_log(CL_ANN, (CE_NOTE,
-		    		"instance->fast_path_io %d \n",instance->fast_path_io));
+			instance->fast_path_io = 1;
+			con_log(CL_ANN,
+			    (CE_NOTE, "instance->fast_path_io %d",
+			    instance->fast_path_io));
 
 			return (DDI_SUCCESS);
 		}
@@ -3204,14 +3215,14 @@
 
 	}
 
-	instance->fast_path_io = 0;	
+	instance->fast_path_io = 0;
 	cmn_err(CE_WARN, "MR_ValidateMapInfo failed");
 	con_log(CL_ANN, (CE_NOTE,
-    		"instance->fast_path_io %d \n",instance->fast_path_io));
+	    "instance->fast_path_io %d", instance->fast_path_io));
 
-	
 	return (DDI_FAILURE);
 }
+
 /*
  * Marks HBA as bad. This will be called either when an
  * IO packet times out even after 3 FW resets
@@ -3218,16 +3229,16 @@
  * or FW is found to be fault even after 3 continuous resets.
  */
 
-int
+void
 mrsas_tbolt_kill_adapter(struct mrsas_instance *instance)
 {
-	cmn_err(CE_WARN, "TBOLT Kill adapter called\n");
+	cmn_err(CE_NOTE, "TBOLT Kill adapter called");
 
 	if (instance->deadadapter == 1)
-		return (DDI_FAILURE);
+		return;
 
 	con_log(CL_ANN1, (CE_NOTE, "tbolt_kill_adapter: "
-		    "Writing to doorbell with MFI_STOP_ADP "));
+	    "Writing to doorbell with MFI_STOP_ADP "));
 	mutex_enter(&instance->ocr_flags_mtx);
 	instance->deadadapter = 1;
 	mutex_exit(&instance->ocr_flags_mtx);
@@ -3234,18 +3245,19 @@
 	instance->func_ptr->disable_intr(instance);
 	WR_RESERVED0_REGISTER(MFI_STOP_ADP, instance);
 	/* Flush */
-	RD_RESERVED0_REGISTER(instance);	
+	(void) RD_RESERVED0_REGISTER(instance);
 
 	(void) mrsas_print_pending_cmds(instance);
-	mrsas_complete_pending_cmds(instance);
-	return (DDI_SUCCESS);
+	(void) mrsas_complete_pending_cmds(instance);
 }
-void  mrsas_reset_reply_desc(struct mrsas_instance *instance)
+
+void
+mrsas_reset_reply_desc(struct mrsas_instance *instance)
 {
 	int i;
-	MPI2_REPLY_DESCRIPTORS_UNION *reply_desc;	
-	instance->reply_read_index= 0;
-	
+	MPI2_REPLY_DESCRIPTORS_UNION *reply_desc;
+	instance->reply_read_index = 0;
+
 	/* initializing reply address to 0xFFFFFFFF */
 	reply_desc = instance->reply_frame_pool;
 
@@ -3258,17 +3270,15 @@
 int
 mrsas_tbolt_reset_ppc(struct mrsas_instance *instance)
 {
-	uint32_t status=0x00;
+	uint32_t status = 0x00;
 	uint32_t retry = 0;
-	uint32_t seq_num;
 	uint32_t cur_abs_reg_val;
 	uint32_t fw_state;
-	union mrsas_evt_class_locale	class_locale;
 	uint32_t abs_state;
 	uint32_t i;
 
 	con_log(CL_ANN, (CE_NOTE,
-	    "mrsas_tbolt_reset_ppc entered\n "));
+	    "mrsas_tbolt_reset_ppc entered"));
 
 	if (instance->deadadapter == 1) {
 		cmn_err(CE_WARN, "mrsas_tbolt_reset_ppc: "
@@ -3284,12 +3294,12 @@
 
 	instance->func_ptr->disable_intr(instance);
 
-	/*Add delay inorder to complete the ioctl & io cmds in-flight */
-	for (i = 0; i<3000; i++) {
+	/* Add delay inorder to complete the ioctl & io cmds in-flight */
+	for (i = 0; i < 3000; i++) {
 		drv_usecwait(MILLISEC); /* wait for 1000 usecs */
 	}
 
-	instance->reply_read_index= 0;
+	instance->reply_read_index = 0;
 
 retry_reset:
 	con_log(CL_ANN, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
@@ -3303,13 +3313,13 @@
 	WR_TBOLT_IB_WRITE_SEQ(0xd, instance);
 	con_log(CL_ANN1, (CE_NOTE,
 	    "mrsas_tbolt_reset_ppc: magic number written "
-	    "to write sequence register\n"));
+	    "to write sequence register"));
 	delay(100 * drv_usectohz(MILLISEC));
 	status = RD_TBOLT_HOST_DIAG(instance);
 	con_log(CL_ANN1, (CE_NOTE,
 	    "mrsas_tbolt_reset_ppc: READ HOSTDIAG SUCCESS "
-	    "to write sequence register\n"));
-        
+	    "to write sequence register"));
+
 	while (status & DIAG_TBOLT_RESET_ADAPTER) {
 		delay(100 * drv_usectohz(MILLISEC));
 		status = RD_TBOLT_HOST_DIAG(instance);
@@ -3317,7 +3327,7 @@
 			cmn_err(CE_WARN,
 			    "mrsas_tbolt_reset_ppc:"
 			    "resetadapter bit is set already "
-			    "check retry count %d\n", retry);
+			    "check retry count %d", retry);
 			return (DDI_FAILURE);
 		}
 	}
@@ -3325,28 +3335,31 @@
 	WR_TBOLT_HOST_DIAG(status | DIAG_TBOLT_RESET_ADAPTER, instance);
 	delay(100 * drv_usectohz(MILLISEC));
 
-	ddi_rep_get8((instance)->regmap_handle, (uint8_t *)&status, 
-		(uint8_t *)((uintptr_t)(instance)->regmap + 
-		RESET_TBOLT_STATUS_OFF),4,DDI_DEV_AUTOINCR); 
-	
+	ddi_rep_get8((instance)->regmap_handle, (uint8_t *)&status,
+	    (uint8_t *)((uintptr_t)(instance)->regmap +
+	    RESET_TBOLT_STATUS_OFF), 4, DDI_DEV_AUTOINCR);
+
 	while ((status & DIAG_TBOLT_RESET_ADAPTER)) {
 		delay(100 * drv_usectohz(MILLISEC));
-		ddi_rep_get8((instance)->regmap_handle, (uint8_t *)&status, 
-			(uint8_t *)((uintptr_t)(instance)->regmap + 
-			RESET_TBOLT_STATUS_OFF),4,DDI_DEV_AUTOINCR); 
+		ddi_rep_get8((instance)->regmap_handle, (uint8_t *)&status,
+		    (uint8_t *)((uintptr_t)(instance)->regmap +
+		    RESET_TBOLT_STATUS_OFF), 4, DDI_DEV_AUTOINCR);
 		if (retry++ == 100) {
 			/* Dont call kill adapter here */
-			/* RESET BIT ADAPTER is cleared by firmare */	
-			//mrsas_tbolt_kill_adapter(instance);
-			cmn_err(CE_WARN, "mr_sas %d: %s(): RESET FAILED; return failure!!!", instance->instance, __func__);
+			/* RESET BIT ADAPTER is cleared by firmare */
+			/* mrsas_tbolt_kill_adapter(instance); */
+			cmn_err(CE_WARN,
+			    "mr_sas %d: %s(): RESET FAILED; return failure!!!",
+			    instance->instance, __func__);
 			return (DDI_FAILURE);
 		}
 	}
-	
-	con_log(CL_ANN, (CE_NOTE, "mrsas_tbolt_reset_ppc: Adapter reset complete"));
+
+	con_log(CL_ANN,
+	    (CE_NOTE, "mrsas_tbolt_reset_ppc: Adapter reset complete"));
 	con_log(CL_ANN, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
 	    "Calling mfi_state_transition_to_ready"));
-	
+
 	abs_state = instance->func_ptr->read_fw_status_reg(instance);
 	retry = 0;
 	while ((abs_state <= MFI_STATE_FW_INIT) && (retry++ < 1000)) {
@@ -3354,8 +3367,9 @@
 		abs_state = instance->func_ptr->read_fw_status_reg(instance);
 	}
 	if (abs_state <= MFI_STATE_FW_INIT) {
-		cmn_err(CE_WARN, "mrsas_tbolt_reset_ppc: firmware state < MFI_STATE_FW_INIT" 
-		    "state = 0x%x, RETRY RESET.\n", abs_state);
+		cmn_err(CE_WARN,
+		    "mrsas_tbolt_reset_ppc: firmware state < MFI_STATE_FW_INIT"
+		    "state = 0x%x, RETRY RESET.", abs_state);
 		goto retry_reset;
 	}
 
@@ -3372,25 +3386,27 @@
 		if (debug_tbolt_fw_faults_after_ocr_g == 1)
 			fw_state = MFI_STATE_FAULT;
 
-		con_log(CL_ANN, (CE_NOTE,  "mrsas_tbolt_reset_ppc : FW is not ready "
+		con_log(CL_ANN,
+		    (CE_NOTE,  "mrsas_tbolt_reset_ppc : FW is not ready "
 		    "FW state = 0x%x", fw_state));
 
 		if (fw_state == MFI_STATE_FAULT) {
-			// increment the count
+			/* increment the count */
 			instance->fw_fault_count_after_ocr++;
 			if (instance->fw_fault_count_after_ocr
 			    < MAX_FW_RESET_COUNT) {
 				cmn_err(CE_WARN, "mrsas_tbolt_reset_ppc: "
 				    "FW is in fault after OCR count %d "
-					"Retry Reset",
+				    "Retry Reset",
 				    instance->fw_fault_count_after_ocr);
 				goto retry_reset;
 
 			} else {
 				cmn_err(CE_WARN, "mrsas %d: %s:"
-					"Max Reset Count exceeded >%d"
+				    "Max Reset Count exceeded >%d"
 				    "Mark HBA as bad, KILL adapter",
-					instance->instance, __func__, MAX_FW_RESET_COUNT);
+				    instance->instance, __func__,
+				    MAX_FW_RESET_COUNT);
 
 				mrsas_tbolt_kill_adapter(instance);
 				return (DDI_FAILURE);
@@ -3397,29 +3413,29 @@
 			}
 		}
 	}
-	
-	// reset the counter as FW is up after OCR
+
+	/* reset the counter as FW is up after OCR */
 	instance->fw_fault_count_after_ocr = 0;
-	
+
 	mrsas_reset_reply_desc(instance);
 
-	
+
 	con_log(CL_ANN1, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
 	    "Calling mrsas_issue_init_mpi2"));
 	abs_state = mrsas_issue_init_mpi2(instance);
-	if(abs_state == DDI_FAILURE) {
-	cmn_err(CE_WARN, "mrsas_tbolt_reset_ppc: "
-	    "INIT failed Retrying Reset");
-		goto retry_reset;	
+	if (abs_state == (uint32_t)DDI_FAILURE) {
+		cmn_err(CE_WARN, "mrsas_tbolt_reset_ppc: "
+		    "INIT failed Retrying Reset");
+		goto retry_reset;
 	}
 	con_log(CL_ANN1, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
 	    "mrsas_issue_init_mpi2 Done"));
 
 	con_log(CL_ANN, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
-	    "Calling mrsas_print_pending_cmd\n"));
-	mrsas_print_pending_cmds(instance);
+	    "Calling mrsas_print_pending_cmd"));
+	(void) mrsas_print_pending_cmds(instance);
 	con_log(CL_ANN, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
-	    "mrsas_print_pending_cmd done\n"));
+	    "mrsas_print_pending_cmd done"));
 
 	instance->func_ptr->enable_intr(instance);
 	instance->fw_outstanding = 0;
@@ -3426,9 +3442,9 @@
 
 	con_log(CL_ANN1, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
 	    "Calling mrsas_issue_pending_cmds"));
-	mrsas_issue_pending_cmds(instance);
+	(void) mrsas_issue_pending_cmds(instance);
 	con_log(CL_ANN1, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
-	"issue_pending_cmds done.\n"));
+	"issue_pending_cmds done."));
 
 	con_log(CL_ANN1, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
 	    "Calling aen registration"));
@@ -3438,7 +3454,7 @@
 
 	instance->func_ptr->issue_cmd(instance->aen_cmd, instance);
 
-	con_log(CL_ANN1, (CE_NOTE, "Unsetting adpresetinprogress flag.\n"));
+	con_log(CL_ANN1, (CE_NOTE, "Unsetting adpresetinprogress flag."));
 	mutex_enter(&instance->ocr_flags_mtx);
 	instance->adapterresetinprogress = 0;
 	mutex_exit(&instance->ocr_flags_mtx);
@@ -3445,7 +3461,7 @@
 	con_log(CL_ANN1, (CE_NOTE, "mrsas_tbolt_reset_ppc: "
 	    "adpterresetinprogress flag unset"));
 
-	con_log(CL_ANN, (CE_NOTE, "mrsas_tbolt_reset_ppc done\n"));
+	con_log(CL_ANN, (CE_NOTE, "mrsas_tbolt_reset_ppc done"));
 	return (DDI_SUCCESS);
 
 }
@@ -3460,10 +3476,10 @@
  * supported by the FW.
  */
 
-int
+static int
 mrsas_tbolt_sync_map_info(struct mrsas_instance *instance)
 {
-	int 			ret = 0, i;
+	int			ret = 0, i;
 	struct mrsas_cmd	*cmd = NULL;
 	struct mrsas_dcmd_frame	*dcmd;
 	uint32_t size_sync_info, num_lds;
@@ -3475,20 +3491,20 @@
 	uint32_t size_map_info;
 
 	cmd = get_raid_msg_pkt(instance);
-	
+
 	if (cmd == NULL) {
-		cmn_err(CE_WARN,
-		    "Failed to get a cmd from free-pool in mrsas_tbolt_sync_map_info(). ");
+		cmn_err(CE_WARN, "Failed to get a cmd from free-pool in "
+		    "mrsas_tbolt_sync_map_info(). ");
 		return (DDI_FAILURE);
 	}
-		
+
 	/* Clear the frame buffer and assign back the context id */
-	(void) memset((char *)&cmd->frame[0], 0, sizeof (union mrsas_frame));
+	bzero((char *)&cmd->frame[0], sizeof (union mrsas_frame));
 	ddi_put32(cmd->frame_dma_obj.acc_handle, &cmd->frame->hdr.context,
-			cmd->index);
+	    cmd->index);
 	bzero(cmd->scsi_io_request, sizeof (Mpi2RaidSCSIIORequest_t));
 
-	
+
 	map = instance->ld_map[instance->map_id & 1];
 
 	num_lds = map->raidMap.ldCount;
@@ -3497,16 +3513,15 @@
 
 	size_sync_info = sizeof (LD_TARGET_SYNC) * num_lds;
 
-	con_log(CL_ANN, (CE_NOTE,
-		    "size_sync_info =0x%x ; ld count = 0x%x \n ",
-		    size_sync_info, num_lds));
+	con_log(CL_ANN, (CE_NOTE, "size_sync_info =0x%x ; ld count = 0x%x",
+	    size_sync_info, num_lds));
 
- 	ci = (LD_TARGET_SYNC *)instance->ld_map[(instance->map_id - 1) & 1];
+	ci = (LD_TARGET_SYNC *)instance->ld_map[(instance->map_id - 1) & 1];
 
-	memset(ci, 0, sizeof(MR_FW_RAID_MAP_ALL));
+	bzero(ci, sizeof (MR_FW_RAID_MAP_ALL));
 	ci_h = instance->ld_map_phy[(instance->map_id - 1) & 1];
 
-	(void) memset(dcmd->mbox.b, 0, DCMD_MBOX_SZ);
+	bzero(dcmd->mbox.b, DCMD_MBOX_SZ);
 
 	ld_sync = (LD_TARGET_SYNC *)ci;
 
@@ -3513,12 +3528,13 @@
 	for (i = 0; i < num_lds; i++, ld_sync++) {
 		raid = MR_LdRaidGet(i, map);
 
-		con_log(CL_ANN1, (CE_NOTE, "i : 0x%x, Seq Num : 0x%x, Sync Reqd : 0x%x\n",
+		con_log(CL_ANN1,
+		    (CE_NOTE, "i : 0x%x, Seq Num : 0x%x, Sync Reqd : 0x%x",
 		    i, raid->seqNum, raid->flags.ldSyncRequired));
 
 		ld_sync->ldTargetId = MR_GetLDTgtId(i, map);
 
-		con_log(CL_ANN1, (CE_NOTE, "i : 0x%x, tgt : 0x%x \n",
+		con_log(CL_ANN1, (CE_NOTE, "i : 0x%x, tgt : 0x%x",
 		    i, ld_sync->ldTargetId));
 
 		ld_sync->seqNum = raid->seqNum;
@@ -3525,8 +3541,8 @@
 	}
 
 
-	size_map_info = sizeof(MR_FW_RAID_MAP) +
-		(sizeof(MR_LD_SPAN_MAP) * (MAX_LOGICAL_DRIVES - 1));
+	size_map_info = sizeof (MR_FW_RAID_MAP) +
+	    (sizeof (MR_LD_SPAN_MAP) * (MAX_LOGICAL_DRIVES - 1));
 
 	dcmd->cmd = MFI_CMD_OP_DCMD;
 	dcmd->cmd_status = 0xFF;
@@ -3535,7 +3551,8 @@
 	dcmd->timeout = 0;
 	dcmd->pad_0 = 0;
 	dcmd->data_xfer_len = size_map_info;
-	dcmd->mbox.b[0] = num_lds;
+	ASSERT(num_lds <= 255);
+	dcmd->mbox.b[0] = (U8)num_lds;
 	dcmd->mbox.b[1] = 1; /* Pend */
 	dcmd->opcode = MR_DCMD_LD_MAP_GET_INFO;
 	dcmd->sgl.sge32[0].phys_addr = ci_h;
@@ -3546,9 +3563,9 @@
 	mr_sas_tbolt_build_mfi_cmd(instance, cmd);
 
 	instance->func_ptr->issue_cmd(cmd, instance);
-	
+
 	instance->unroll.syncCmd = 1;
-	con_log(CL_ANN1, (CE_NOTE, "sync cmd issued. [SMID]:%x",cmd->SMID));
+	con_log(CL_ANN1, (CE_NOTE, "sync cmd issued. [SMID]:%x", cmd->SMID));
 
 	return (ret);
 }
@@ -3575,7 +3592,7 @@
 		return (DDI_FAILURE);
 	}
 	/* Clear the frame buffer and assign back the context id */
-	(void) memset((char *)&cmd->frame[0], 0, sizeof (union mrsas_frame));
+	bzero((char *)&cmd->frame[0], sizeof (union mrsas_frame));
 	ddi_put32(cmd->frame_dma_obj.acc_handle, &cmd->frame->hdr.context,
 	    cmd->index);
 
@@ -3623,9 +3640,7 @@
 	dev_info_t *child;
 	int rval, dtype;
 	struct mrsas_tbolt_pd_info *pds = NULL;
-	uint64_t *wwn;
 
-
 	con_log(CL_ANN1, (CE_NOTE, "mrsas_tbolt_config_pd: t = %d l = %d",
 	    tgt, lun));
 
@@ -3635,10 +3650,10 @@
 		}
 		if (instance->mr_tbolt_pd_list[tgt].flag != MRDRV_TGT_VALID) {
 			rval = mrsas_service_evt(instance, tgt, 1,
-				MRSAS_EVT_UNCONFIG_TGT, NULL);
+			    MRSAS_EVT_UNCONFIG_TGT, NULL);
 			con_log(CL_ANN1, (CE_WARN,
-				"mr_sas:DELETING STALE ENTRY  rval = %d "
-				"tgt id = %d ", rval, tgt));
+			    "mr_sas:DELETING STALE ENTRY  rval = %d "
+			    "tgt id = %d", rval, tgt));
 			return (NDI_FAILURE);
 		}
 		return (NDI_SUCCESS);
@@ -3649,10 +3664,11 @@
 	mrsas_tbolt_get_pd_info(instance, pds, tgt);
 	dtype = pds->scsiDevType;
 
-	/* Check for Disk*/
+	/* Check for Disk */
 	if ((dtype == DTYPE_DIRECT)) {
 		if ((dtype == DTYPE_DIRECT) &&
 		    (LE_16(pds->fwState) != PD_SYSTEM)) {
+			kmem_free(pds, sizeof (struct mrsas_tbolt_pd_info));
 			return (NDI_FAILURE);
 		}
 		sd = kmem_zalloc(sizeof (struct scsi_device), KM_SLEEP);
@@ -3667,8 +3683,8 @@
 			    tgt, dtype, sd->sd_inq->inq_vid));
 		} else {
 			rval = NDI_FAILURE;
-			con_log(CL_DLEVEL1, (CE_NOTE,
-			    "Phys. device Not found scsi_hba_probe Failed: tgt %d dtype %d: %s",
+			con_log(CL_DLEVEL1, (CE_NOTE, "Phys. device Not found "
+			    "scsi_hba_probe Failed: tgt %d dtype %d: %s",
 			    tgt, dtype, sd->sd_inq->inq_vid));
 		}
 
@@ -3691,9 +3707,10 @@
 	    rval));
 	return (rval);
 }
+
 static void
-mrsas_tbolt_get_pd_info(struct mrsas_instance *instance, struct mrsas_tbolt_pd_info *pds,
-    int tgt)
+mrsas_tbolt_get_pd_info(struct mrsas_instance *instance,
+    struct mrsas_tbolt_pd_info *pds, int tgt)
 {
 	struct mrsas_cmd	*cmd;
 	struct mrsas_dcmd_frame	*dcmd;
@@ -3702,12 +3719,13 @@
 	cmd = get_raid_msg_pkt(instance);
 
 	if (!cmd) {
-            con_log(CL_ANN1, (CE_WARN, "Failed to get a cmd for get pd info"));
-            return;
-        }
+		con_log(CL_ANN1,
+		    (CE_WARN, "Failed to get a cmd for get pd info"));
+		return;
+	}
 
-        /* Clear the frame buffer and assign back the context id */
-        memset((char *)&cmd->frame[0], 0, sizeof (union mrsas_frame));
+	/* Clear the frame buffer and assign back the context id */
+	bzero((char *)&cmd->frame[0], sizeof (union mrsas_frame));
 	ddi_put32(cmd->frame_dma_obj.acc_handle, &cmd->frame->hdr.context,
 	    cmd->index);
 
@@ -3722,12 +3740,13 @@
 
 	(void) mrsas_alloc_dma_obj(instance, &dcmd_dma_obj,
 	    DDI_STRUCTURE_LE_ACC);
-	(void) memset(dcmd_dma_obj.buffer, 0, sizeof (struct mrsas_tbolt_pd_info));
-	(void) memset(dcmd->mbox.b, 0, 12);
+	bzero(dcmd_dma_obj.buffer, sizeof (struct mrsas_tbolt_pd_info));
+	bzero(dcmd->mbox.b, 12);
 	ddi_put8(cmd->frame_dma_obj.acc_handle, &dcmd->cmd, MFI_CMD_OP_DCMD);
 	ddi_put8(cmd->frame_dma_obj.acc_handle, &dcmd->cmd_status, 0);
 	ddi_put8(cmd->frame_dma_obj.acc_handle, &dcmd->sge_count, 1);
-	ddi_put16(cmd->frame_dma_obj.acc_handle, &dcmd->flags, MFI_FRAME_DIR_READ);
+	ddi_put16(cmd->frame_dma_obj.acc_handle, &dcmd->flags,
+	    MFI_FRAME_DIR_READ);
 	ddi_put16(cmd->frame_dma_obj.acc_handle, &dcmd->timeout, 0);
 	ddi_put32(cmd->frame_dma_obj.acc_handle, &dcmd->data_xfer_len,
 	    sizeof (struct mrsas_tbolt_pd_info));
@@ -3743,11 +3762,11 @@
 	cmd->frame_count = 1;
 
 	if (instance->tbolt) {
-                mr_sas_tbolt_build_mfi_cmd(instance, cmd);
-        }
+		mr_sas_tbolt_build_mfi_cmd(instance, cmd);
+	}
 
 	instance->func_ptr->issue_cmd_in_sync_mode(instance, cmd);
-	
+
 	ddi_rep_get8(cmd->frame_dma_obj.acc_handle, (uint8_t *)pds,
 	    (uint8_t *)dcmd_dma_obj.buffer, sizeof (struct mrsas_tbolt_pd_info),
 	    DDI_DEV_AUTOINCR);
